[prev in list] [next in list] [prev in thread] [next in thread] 

List:       gentoo-dev
Subject:    [gentoo-dev] [PATCH 5/8] systemd.eclass: Add missing ||die on ntp file writes
From:       Michał Górny <mgorny () gentoo ! org>
Date:       2015-11-30 15:01:19
Message-ID: 1448895682-19312-6-git-send-email-mgorny () gentoo ! org
[Download RAW message or body]

---
 eclass/systemd.eclass | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/eclass/systemd.eclass b/eclass/systemd.eclass
index e4349bc..8ec0c5d 100644
--- a/eclass/systemd.eclass
+++ b/eclass/systemd.eclass
@@ -296,7 +296,7 @@ systemd_enable_ntpunit() {
 		if [[ ! -f "${D}${unitdir}/${s}" ]]; then
 			die "ntp-units.d provider ${s} not installed (yet?) in \${D}."
 		fi
-		echo "${s}" >> "${T}"/${ntpunit_name}.list
+		echo "${s}" >> "${T}"/${ntpunit_name}.list || die
 	done
 
 	(
-- 
2.6.3


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic